Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.jxpath.query
Class JXPathModelQueryAdapter

    java.lang.Object
      org.eclipse.gmt.modisco.infra.query.core.AbstractModelQuery
          org.eclipse.gmt.modisco.infra.query.jxpath.query.JXPathModelQueryAdapter

    public class JXPathModelQueryAdapter

extends AbstractModelQuery

Constructor Summary
`JXPathModelQueryAdapter(JXPathModelQuery modelQuery)`

Method Summary
`java.lang.Object` | `basicEvaluate(EObject context, java.util.List<ModelQueryParameterValue> parameterValues)` This method must be overridden by each sub class to implement query evaluation.

Methods inherited from class org.eclipse.gmt.modisco.infra.query.core.AbstractModelQuery
`basicEvaluate, evaluate, evaluate, getModelQuery, setCheckResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXPathModelQueryAdapter

    public JXPathModelQueryAdapter(JXPathModelQuery modelQuery)

Method Detail

### basicEvaluate

    public java.lang.Object basicEvaluate(EObject context,
                                          java.util.List<ModelQueryParameterValue> parameterValues)
                                   throws ModelQueryException

  This method must be overridden by each sub class to implement query evaluation.

  Specified by:
    `basicEvaluate` in class `AbstractModelQuery`
  Parameters:
    `context` - The query evaluation context
    `parameterValues` - The query parameter values
  Returns:
    A list of ModelQueryResult (one per evaluation)
  Throws:
    `ModelQueryExecutionException`
    `ModelQueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD